<?php

/**
 * Fichero de funciones auxiliares para SocialSight
 * @version 0.2
 * @author Miguel Sempere Sanchez <miguel.sempere.sanchez@gmail.com>
 * @package SocialSight
 */

require_once('./facebook.php');
require_once('./funcionesFB.php');

echo HTML();

MostrarCabecera("AMIGOS DEL USUARIO");
MostrarMenu();
session_start();



if (isset($_SESSION['ss'])){

	$ss=$_SESSION['ss'];
	$facebook=$ss->getInstancia();
	$accessToken=$ss->getAccessToken();
	$friendsLists=ObtenerArrayAmigos($facebook);

	echo "<BODY><div id=\"amigos\" class=\"amigos\">";




	foreach ($friendsLists as $friends) {
		/*
		foreach ($friends as $friend) {
			$id = $friend['id'];
			$name = $friend['name'];

			echo "<ul><img src=\"https://graph.facebook.com/".$id."/picture?type=small\"/> <a href=\"/socialsight/amigos.php?id=".$id."\" shape=\"rect\">".$name."</a></ul>";

		}
		   */
	}
	$numAmigos=count($friends);
	$paginas=ceil($numAmigos/10);




	if($numAmigos>0){

		//MOSTRAMOS TODOS LOS AMIGOS
		if(isset($_GET['paginaDeAmigos'])){
			$pagina=$_GET['paginaDeAmigos'];

			//echo "TOTAL ".$numAmigos." AMIGOS";

			if($pagina<=$paginas && $pagina>=1){
				$fin=$pagina*10;
				$inicio=($pagina-1)*10;



				if($numAmigos>=9){

					if($fin>$numAmigos)
						$fin=$numAmigos;

					echo '<ul class="amigos">';

					//SI TENEMOS MAS DE 9 AMIGOS
					for ( $i = $inicio ; $i < $fin ; $i ++) {
						$friend=$friends[$i];
						$id = $friend['id'];
						$name = $friend['name'];

						echo "<li class=\"MuroUsuario\"><img src=\"https://graph.facebook.com/".$id."/picture?type=square\" alt=\"Imagen de perfil de ".$name."\"> <a href=\"/socialsight/amigos.php?id=".$id."\" shape=\"rect\">".$name."</a></li>";

					}
					echo "</ul></div>";

					if($paginas>1){

						echo "<div id=\"amigos\" class=\"amigos\">".paginadorAmigos($paginas)."</div>";
					}
				}
				else{
					$fin=$fin-$numAmigos;
					echo '<ul class="amigos">';

					//SI NO LLEGAMOS A 9 AMIGOS DEL MAXIMO DE UNA PAGINA
					for ( $i = $inicio ; $i < $numAmigos ; $i ++) {
						$friend=$friends[$i];
						$id = $friend['id'];
						$name = $friend['name'];

						echo "<li class=\"MuroUsuario\"><img src=\"https://graph.facebook.com/".$id."/picture?type=small\" alt=\"Imagen de perfil de ".$name."\"> <a href=\"/socialsight/amigos.php?id=".$id."\" shape=\"rect\">".$name."</a></li>";

					}
					echo "</ul></div>";
				}
			}
		}

		else{
			//MOSTRAMOS EL MURO DE UN AMIGO EN PARTICULAR
			if(isset($_GET['id'])){

				$respuesta=getUserFQL($facebook,$_GET['id']);
				$nombre=$respuesta[0]['name'];

				$cadena1="<a href=\"/socialsight/amigos.php?paginaDeAmigos=1\" hreflang=\"es\" shape=\"rect\">Amigos</a>";
				$cadena2="<a href=\"/socialsight/amigos.php?id=".$_GET['id']."\" hreflang=\"es\" shape=\"rect\">Perfil de ".$nombre."</a>";

				echo "<H2>".$cadena1.' > '.$cadena2 ." > MURO DE ".$nombre."</H2>";

				//SE PUBLICA UN MENSAJE
				if(isset($_POST['boton_publicar_muro'])){

					$mensaje=$_POST["contenido_mensaje_deseado_poner_muro"];

					if(isset($mensaje))
						if (!empty($mensaje)){
							$idAmigo=$_GET['id'];


							$ret=PublicarMuro($facebook,$accessToken, $mensaje, $idAmigo);


							if($ret!=-1)
								echo"Se ha publicado el mensaje en el muro de tu amigo de forma correcta.";
							else
								echo "Ha ocurrido algn error al publicar el mensaje en el muro de tu amigo. Por favor, vuelve a intentarlo mas tarde.";
						}
					else
						echo "Ha ocurrido algn error al publicar el mensaje. Compruebe que el mensaje ha sido rellenado o vuelva a intentarlo mas tarde.";
				}

				//SOLO CONSULTAMOS MURO AMIGO
				else{


					$idAmigo=$_GET['id'];
					$friendFeed=ObtenerFeed($idAmigo,$facebook, 0, "");
					setlocale (LC_TIME,"es_ES.ISO_8859-1");


					//obtenemos los datos necesarios del usuario
					$respuesta=getCompleteUser($facebook,$idAmigo);
					$nombreComplet0=$about=$cumple=$bio=$genero="";

					if(array_key_exists('name', $respuesta))
						$nombreCompleto=$respuesta['name'];
					if(array_key_exists('about', $respuesta))
						$about=$respuesta['about'];
					if(array_key_exists('birthday', $respuesta))
						$cumple=$respuesta['birthday'];
					if(array_key_exists('bio', $respuesta))
						$bio=$respuesta['bio'];
					if(array_key_exists('gender', $respuesta))
						$genero=$respuesta['gender'];

					$urlFoto=ObtenerURLImagenUsuarioID($idAmigo);


					echo "</div>";


					echo "<div id=\"FotoAmigo\" class=\"FotoAmigo\">";
					if(!empty($urlFoto))
						echo '<img src="'.$urlFoto.'?type=large" alt="Imagen de perfil de '.$nombreCompleto.'">';
					echo '</div>';



					echo "<div id=\"MuroAmigo\" class=\"MuroAmigo\"><ul>";
					if(!empty($nombreCompleto))
						echo '<li><b>Nombre:</b> '.$nombreCompleto;
					if(!empty($about))
						echo '<li><b>About:</b> '.$about;
					if(!empty($cumple))
						echo '<li><b>Birthday:</b> '.$cumple;
					if(!empty($bio))
						echo '<li><b>Bio:</b> '.$bio;
					if(!empty($genero))
						echo '<li><b>Genero:</b> '.$genero;
					echo "</ul></div>";







					echo "<div id=\"MuroAmigo\" class=\"MuroAmigo\">";

					MostrarInputForm("amigos",$idAmigo);
					set_time_limit(0);
					foreach($friendFeed['data'] as $data){
						if($data!=null)
							if(array_key_exists('message', $data)){

								$idmensaje=$data['id'];
								echo "<div id=\"mensajeAmigo\" class=\"mensajeAmigo\">";

								$idmensaje=$data['id'];
								$cadenaFecha=date("j \d\e F \a \l\a\s g:i",strtotime($data['created_time']));

								//echo '<ul class="MuroUsuario">'.$cadenaFecha.' escribio: '.$data['message'].'</ul>';
								//echo "<ul><a title=\"Responder al mensaje del usuario\" href=\"/socialsight/responder_mensaje.php?idmensaje=".$idmensaje."\" hreflang=\"es\" shape=\"rect\">Responder a este mensaje.</a></ul>";

								$cadena3="<a title=\"Extender informacion del mensaje propio del ".$cadenaFecha."\" href=\"/socialsight/mensaje_desplegado.php?idmensaje=".$idmensaje."\" hreflang=\"es\" shape=\"rect\">Extender informacion del mensaje propio del ".$cadenaFecha."</a>";
								$link1="<a title=\"Responder al mensaje del usuario\" href=\"/socialsight/responder_mensaje.php?idmensaje=".$idmensaje."\" hreflang=\"es\" shape=\"rect\">Responder a este mensaje.</a>";
								$cadena="El ".$cadenaFecha." se escribio en su muro:<br/>".$data['message'].'<br/>'.$link1.'</br>'.$cadena3;

								echo '<p>'.$cadena.'</p>';
								echo "</div>";
							}

					}
					echo "</div>";
				}

			}
		}


	}
	else{
		echo "</div>";
	}
	echo "</BODY>";
}
else
	echo "Para ver los amigos es necesario iniciar sesion.";



echo "</HTML>";

?>